#ifndef VALAPHP_EMBED_CALL_STREAM_RESOURCE_H
#define VALAPHP_EMBED_CALL_STREAM_RESOURCE_H

#include <glib.h>

guint valaphp_embed_stream_fopen(const char *path, const char *mode, char **error_message);
guint valaphp_embed_stream_socket_client(const char *target, gint *err_no, char **err_str, gdouble timeout, gint flags, char **error_message);
gboolean valaphp_embed_stream_fclose(guint resource_id, char **error_message);
char *valaphp_embed_stream_fread(guint resource_id, gint length, char **error_message);
gint valaphp_embed_stream_fwrite(guint resource_id, const char *data, char **error_message);
gboolean valaphp_embed_stream_fflush(guint resource_id, char **error_message);
gboolean valaphp_embed_stream_set_blocking(guint resource_id, gboolean enable, char **error_message);
gint valaphp_embed_stream_select_read(guint resource_id, gint seconds, gint microseconds, char **error_message);
gboolean valaphp_embed_stream_is_resource(guint resource_id);
void valaphp_embed_stream_resource_release(guint resource_id);

#endif
